Update igmpproxy to 0.2.1

Is there any particular reason igmpproxy is still on version 0.1? Debian already uses 0.2.1 upstream. Upstream repo is https://github.com/pali/igmpproxy

I think without a new version it isn’t possible to use german Magenta TV from Deutsche Telekom. pfSense is using 0.2.1 and it’s working fine there. So I’ve got high hopes that I can use VyOS instead when igmpproxy got an update. :slight_smile:

Hello @Firebat,

I also use the same ISP and with VyOS 1.3 the update to igmpproxy 0.2.1 is already done. YOu can just fetch a fresh rolling ISO from https://downloads.vyos.io/?dir=rolling/current/amd64.

1 Like

@c-po

Do you also use Magenta TV with it? Would you mind sharing your settings?

Nope, I’m not subscribed to Mangenta TV

Hello,
So, we have igmpproxy version 0.2.1-1 in our 1.3 rolling.
@Firebat which VyOS version are you using?

I think I’ve set up igmp-proxy correctly now, but I need some help with the firewall rules.